package com.xxl.job.executor.registry;

import java.lang.annotation.*;

/**
 * @作者 尹吉欢
 * @个人微信 jihuan900
 * @微信公众号 猿天地
 * @GitHub https://github.com/yinjihuan
 * @作者介绍 http://cxytiandi.com/about
 * @时间 2020-03-01 16:20
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Inherited
public @interface XXLJobHandler {

    int jobGroup();

    String executorHandler();

    String jobDesc();

    String executorRouteStrategy() default "CONSISTENT_HASH";

    String jobCron();

    String glueType() default "BEAN";

    String executorParam() default "";

    String childJobId() default "";

    int executorTimeout() default 0;

    String executorBlockStrategy() default "DISCARD_LATER";

    int executorFailRetryCount() default 0;

    String author() default "yinjihuan";

    String alarmEmail() default "";

}