package com.xxl.job.executor.service.jobhandler;

import com.xxl.job.core.biz.model.ReturnT;
import com.xxl.job.core.handler.IJobHandler;
import com.xxl.job.core.handler.annotation.JobHandler;
import com.xxl.job.core.log.XxlJobLogger;
import com.xxl.job.core.util.ShardingUtil;
import org.springframework.stereotype.Service;

import java.text.MessageFormat;
import java.util.ArrayList;
import java.util.List;

/**
 * 分片广播任务
 *
 * @author xuxueli 2017-07-25 20:56:50
 */
@JobHandler(value="shardingJobHandler")
@Service
public class ShardingJobHandler extends IJobHandler {

	@Override
	public ReturnT<String> execute(String param) throws Exception {

		// 分片参数
		ShardingUtil.ShardingVO shardingVO = ShardingUtil.getShardingVo();
		XxlJobLogger.log("分片参数：当前分片序号 = {}, 总分片数 = {}", shardingVO.getIndex(), shardingVO.getTotal());

		// 业务逻辑
//		for (int i = 0; i < shardingVO.getTotal(); i++) {
//			if (i == shardingVO.getIndex()) {
//				XxlJobLogger.log("第 {} 片, 命中分片开始处理", i);
//			} else {
//				XxlJobLogger.log("第 {} 片, 忽略", i);
//			}
//		}

		List<Integer> datas = query();

		for (int i = 0; i < datas.size(); i++) {
			Integer id = datas.get(i);
			if (id % shardingVO.getTotal() == shardingVO.getIndex()) {
				System.out.println(MessageFormat.format("当前片 {0}, 开始处理 {1}, mod {2}", shardingVO.getIndex(), id, id % shardingVO.getTotal()));
			}
		}

		return SUCCESS;
	}

	private List<Integer> query() {
		List<Integer> datas = new ArrayList<>();
		for (int i = 0; i < 100; i++) {
			datas.add(i + 1);
		}
		return datas;
	}

}
